Post
/contact/update
Can be used to update contact.
Request body examples:
{
"emailAddress": "test20200529@dropmail.mapp.com",
"attributes":
[
{"name": "FirstName", "value": "John"},
{"name": "LastName", "value": "Smith"},
{"name": "mobileNumber", "value": "335056067010"},
{"name": "user.ISOCountryCode", "value": "FR"}
]
}ContactIdentifierType values: EMAIL - The identifier is an email address.
MOBILE - The identifier is a mobile number.
APP_ALIAS - The identifier is a mobile app alias.
EXTERNAL - The identifier is a value generated by an external system.
ID - Identifier.
Query parameters
identifierType
stringRequired
The type of identifier to be used for the contact update.
Valid values[
"APP_ALIAS",
"EMAIL",
"EXTERNAL",
"ID",
"MOBILE"
]
Body parameters
object
contactId
integer (int64)
emailAddress
string
mobileNumber
string
applicationAlias
string
identifier
string
attributes
Array of object (Attribute)
object
name
string
value
string
channelAddresses
Array of object (Attribute)
object
name
string
value
string
Responses
200
object
contactId
integer (int64)
emailAddress
string
mobileNumber
string
applicationAlias
string
identifier
string
attributes
Array of object (Attribute)
object
name
string
value
string
channelAddresses
Array of object (Attribute)
object
name
string
value
string
400
Parameter unifiedIdentifierName and identifierType are mandatory, but are missing or incorrect.